package de.intevation.flys.client.shared.model;

import java.util.List;

import de.intevation.flys.client.client.ui.CollectionView;
import de.intevation.flys.client.client.ui.OutputTab;
import de.intevation.flys.client.client.ui.chart.OverviewOutputTab;


/**
 * Output mode for chart overviews.
 *
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class OverviewMode
extends
DefaultOutputMode {

    public OverviewMode() {
    }


    public OverviewMode(String name, String desc, String mimeType) {
        super(name, desc, mimeType);
    }


    public OverviewMode(
        String name,
        String descrition,
        String mimeType,
        List<Facet> facets,
        String type)
    {
        super(name, descrition, mimeType, facets);
        this.type = type;
    }


    @Override
    public OutputTab createOutputTab(String t, Collection c, CollectionView p) {
        return new OverviewOutputTab(t, c, this, p);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
